UCSIM(1)

NAME
uCsim - Micro-controller simulator

SYNOPSIS
ucsim_51
ucsim_xa
ucsim_z80
ucsim_tlc
ucsim_rxk
ucsim_avr
ucsim_pdk
ucsim_st7
ucsim_stm8
ucsim_p1516
ucsim_m6800
ucsim_m6809
ucsim_m68hc08
ucsim_m68hc11
ucsim_mos6502
ucsim_plaze
    -t cpu_type -X freq[k|M] -R seed -C cfg_file -e command -c file -Z portnum -k portnum -s file -S options -I options -p prompt -P -o colors -l -b -B -g -G -a nr -w -V -v -H -h

DESCRIPTION
uCsim is a microcontroller, microprocessor simulator for several processor familes. It can be started as ucsim_XXXX command, where XXXX specifies the simulated processor type. Eg. ucsim_51 starts Intel MCS51 microcontroller simulator, ucsim_z80 starts Zilog Z80 microprocessor simulator, etc.

OPTIONS
Options of the command

-t cpu_type
    Specifies type of the controller. Use -H to list possible values.

-X freq[k|M]
    XTAL frequency in Hz, Use k or M suffix to specify frequency in kHz or MHz.

-R seed
    Set the random number generator seed.

-C file
    Read initial commands from file and execute them.

-e command
    Execute command at program startup (before config file).

-c file
    Open command console on file (use - for std in/out).

-Z portnum
    Use localhost:portnum for command console.

-k portnum
    Use localhost:portnum for serial I/O. This option is obsolete, use -S instead.

-s file
    Connect serial interface uart0 to file This option is obsolete, use -S instead.

-S options
    options is a comma separated list of options according to serial interface. Know options are:
    uart=nr number of uart (default=0)
    in=file serial input will be read from file named `file'.
    out=file serial output will be written to `file'.
    port=nr Use localhost:nr as server for serial line.
    iport=nr Use localhost:nr as server for serial input.
    oport=nr Use localhost:nr as server for serial onput.

-I options
    options is a comma separated list of options according to simulator interface. Known options are:
    if=memory[address] turn on interface on given memory location.
    in=file specify input file for IO.
    out=file specify output file for IO.

-p prompt
    Specify string for prompt.

-P  Prompt is a null ('\0') character.

-o colors
    List of color specification: what=colspec,... where colspec is : separated list of color options e.g.: prompt=b:white:black (bold white on black).

-l  Use colors of the light theme (default is dark).

-b  Black & white (non-color) console.

-B  Beep on breakpoints.

-g  Go, start simulation.

-G  Go, start simulation, quit on stop.

-a nr
    Specify size of variable space (default=256).

-w  Writable flash.

-V  Verbose mode.

-v  Print out version number and quit.

-H  Print out types of known CPUs and quit.

-h  Print out this help and quit.

EXAMPLES
None yet.

SEE ALSO
sdcc(1), sdcdb(1), serialview(1).

BUGS
Probably many.

AUTHORS, CONTRIBUTORS
Daniel Drotos, Gunar Holm, Sandeep Dutta, Salvador Eduardo Tropea, Josef Wolf, Stephane Meyer, Larry Doolittle, Timothy Hurman, Karl-Max Wagner, Edmar Wienskoski Jr, Alexandre Frey, Kaido Karner, Kalr Bongers, Alexis Pavlov, Davine Zanni, Anton Persson, Nicolas Lesser, Mike Jagdis, Jiri Simek, Zbynek Krivka, Vaclav Peroutka, Valentin Dudouyt, Erik Petrich, Leland Morrison, Johan Knol.